<bugID>1363682<Summary>Connect each Message component</Summary><Description>At the moment we only connect the ConsoleOutput component, which is then responsible of creating all the messages and handling the updates.
The ConsoleOutput component could only iterate through an array of visible message ids and create the Message component with only the messageId as a prop.
Then, each Message component could be connected and responsible for getting all the message properties.

This could mean that we kill the MessageContainer component and do things differently.</Description></bugID>